<?php

/**
 * @author: VLThemes
 * @version: 2.0.5
 */

/**
 * Upload SVG for Elementor
 */
if ( ! function_exists( 'sixten_unfiltered_files_upload' ) ) {
	function sixten_unfiltered_files_upload() {

		// if exists, assign to $cpt_support var
		$cpt_support = get_option( 'elementor_unfiltered_files_upload' );

		// check if option DOESN'T exist in db
		if( ! $cpt_support ) {
			$cpt_support = '1'; //create string value default to enable upload svg
			update_option( 'elementor_unfiltered_files_upload', $cpt_support ); //write it to the database
		}
	}
}
add_action( 'elementor/init', 'sixten_unfiltered_files_upload' );

/**
 * Promote pre-defined Elementor Widgets
 */
if ( ! class_exists( 'ElementorPro\Plugin' ) ) {
	add_action( 'elementor/editor/after_enqueue_styles', function() {
		echo '<style type="text/css">
			.elementor-control-dynamic-switcher,
			#elementor-notice-bar,
			#elementor-panel-get-pro-elements,
			.elementor-component-tab[data-tab="global"] {
				display: none !important;
			}
		</style>';
	} );

	add_filter( 'elementor/editor/localize_settings', function( $settings ) {
		if ( ! empty( $settings[ 'promotionWidgets' ] ) ) {
			$settings[ 'promotionWidgets' ] = [];
		}
		return $settings;
	}, 20 );
}

/**
 * Add Navbar Offset
 */
add_action( 'elementor/element/section/section_typo/after_section_end', function( $section, $args ) {

	$section->start_controls_section(
		'section_navbar_offset', [
			'label' => esc_html__( 'Navbar Offset', 'sixten' ),
			'tab' => \Elementor\Controls_Manager::TAB_STYLE,
		]
	);

	$section->add_control(
		'navbar_offset', [
			'label' => esc_html__( 'Navbar Offset', 'sixten' ),
			'type' => Elementor\Controls_Manager::SWITCHER,
			'return_value' => 'has-navbar-offset',
			'prefix_class' => ''
		]
	);

	$section->end_controls_section();

}, 10, 2 );

/**
 * Include
 */
add_action( 'elementor/init', function() {
	require_once SIXTEN_REQUIRE_DIRECTORY . 'inc/elementor/column.php';
} );