<?php

/**
 * @author: VLThemes
 * @version: 2.0.5
 */

/**
 * Required plugins
 */
if ( ! function_exists( 'sixten_tgm_plugins' ) ) {
	function sixten_tgm_plugins() {

		$source = 'https://vlthemes.me/plugins/';

		$plugins = array(
			array(
				'name' => esc_html__( 'Kirki', 'sixten' ),
				'slug' => 'kirki',
				'required' => true,
			),
			array(
				'name' => esc_html__( 'Sixten Helper Plugin', 'sixten' ),
				'slug' => 'sixten_helper_plugin',
				'source' => esc_url( $source . 'sixten_helper_plugin.zip' ),
				'required' => true,
				'version' => '1.0.7'
			),
			array(
				'name' => esc_html__( 'Advanced Custom Fields Pro', 'sixten' ),
				'slug' => 'advanced-custom-fields-pro',
				'source' => esc_url( $source . 'advanced-custom-fields-pro.zip' ),
				'required' => true,
			),
			array(
				'name' => esc_html__( 'Elementor Page Builder', 'sixten' ),
				'slug' => 'elementor',
				'required' => false,
			),
			array(
				'name' => esc_html__( 'Revolution Slider', 'sixten' ),
				'slug' => 'revslider',
				'source' => esc_url( $source . 'revslider.zip' ),
				'required' => false,
			),
			array(
				'name' => esc_html__( 'Visual Portfolio', 'sixten' ),
				'slug' => 'visual-portfolio',
				'required' => false,
			),
			array(
				'name' => esc_html__( 'Contact Form 7', 'sixten' ),
				'slug' => 'contact-form-7',
				'required' => false,
			),
			array(
				'name' => esc_html__( 'WooCommerce', 'sixten' ),
				'slug' => 'woocommerce',
				'required' => false,
			),
			array(
				'name' => esc_html__( 'MC4WP: Mailchimp for WordPress', 'sixten' ),
				'slug' => 'mailchimp-for-wp',
				'required' => false,
			),
			array(
				'name' => esc_html__( 'Regenerate Thumbnails', 'sixten' ),
				'slug' => 'regenerate-thumbnails',
				'required' => false,
			),
			array(
				'name' => esc_html__( 'Classic Widgets', 'sixten' ),
				'slug' => 'classic-widgets',
				'required' => false,
			),
			array(
				'name' => esc_html__( 'One Click Demo Import', 'sixten' ),
				'slug' => 'one-click-demo-import',
				'required' => false,
			)
		);

		tgmpa( $plugins );
	}
}
add_action( 'tgmpa_register', 'sixten_tgm_plugins' );

/**
 * Print notice if helper plugin is not installed
 */
if ( ! function_exists( 'sixten_helper_plugin_notice' ) ) {
	function sixten_helper_plugin_notice() {
		if ( class_exists( 'SixtenHelperPlugin' ) ) {
			return;
		}
		echo '<div class="notice notice-info is-dismissible"><p>' . sprintf( __( 'Please activate <strong>%s</strong> before your work with this theme.', 'sixten' ), 'Sixten Helper Plugin' ) . '</p></div>';
	}
}
add_action( 'admin_notices', 'sixten_helper_plugin_notice' );